Subject: Re: anonymous FTP was enabled

From: "Andrew G." <[email-masked]>
Date: Mon, 7 Feb 2005 11:29:58 -0800

I did all the work in the darwinday.org/dev folder. What I found to be
interesting was that some of the changes remain, such as fig.14 being
fixed when you go to
http://www.darwinday.org/dev/life/shrewsbury.html. Additionally, how
did www.darwinday.org go back to the original? Even before I came by
last Saturday it had been changed to reflect the updates made during
my first visit. Did you already look on the hard drive for the
original files under the C:/Darwin Day
Celebration/web site/dev/ directory?

-Andrew

On Sun, 06 Feb 2005 20:05:08 -0800, David Harris <[email-masked]> wrote:
> While exploring to find why Andrew's work didn't appear on the "dev"
> portion of our website, I found that anonymous FTP was enabled!  This
> would allow anyone to read or write files in our disk space.  Does
> anyone know a reason to allow this capability on DarwinDay.org?  I
> disabled it, as a security measure.
> 
>  - David Harris
> 
> P.S.  I think Andrew may be creating things in an area that does not get
> used for updating our site.  When I look at darwinday.org/dev/, I don't
> find his work.  I did find his stationery layout.  But I have SEEN his
> Web work when he did it.  I also think I saw a change when I added
> "www."  before the main domain name.
> 
> PSS  Andrew, did you save anything to dev.darwinday.org?  We should be
> using darwinday.org/dev/ for the development results. I think we need to
> compare our targets for development products.   -DH
> 
> ----------------- In response to:
> ------------------------------------------
> Subject:
> Re: Summary
> From:
> "Andrew G." <[email-masked]>
> Date:
> Sun, 6 Feb 2005 16:26:51 -0800
> 
> To:
> "[email-masked]" <[email-masked]>
> 
> The files should be on the local hardrive under C:/Darwin Day
> Celebration/web site/dev/whatsnew. The index.html file should be the
> new one and in the articles directory there should be a file called
> ernstmayr.html. Sorry I must have forgotten to put the new files in
> through dreamweaver.
> 
> let me know if anything else pops up,
> Andrew
> 
> 

-- 
Andrew Gadson
Stanford Undergraduate Student
(650)248-7101
www.DiamondKnight.com

---

From: "Andrew G." <[email-masked]>
Date: Tue, 8 Feb 2005 16:27:25 -0800

I'm not sure about the significance of the REFRESH directive actually.
I'm guessing the nav bars referred to the live level because they
probably contain absolute URLs. The best chance of finding my original
home page might be to search for index.html from the start menu >
search function and check the resulting pages that pop-up.

What totally confuses me however is how both the dev and live
homepages have reverted back completley to the originals. It would
seem a little more normal if they had simply reverted to before last
Saturday's work but to also lose the changes from two weeks ago is
very odd.

If you e-mail me a copy of index.html as well as my folder C:/AEG temp
I may be able to find the time to quickly remake the home page file
and send it to you from here.  If that won't work I can come back for
30min-hour on Saturday and redo the work.

-Andrew

On Tue, 08 Feb 2005 15:01:06 -0800, David Harris <[email-masked]> wrote:
> Hi Andrew!
> 
> I noticed that pretty much everything you worked on had a read-only lock
> on it.  But I don't know why the same didn't occur for the home page,
> whose graphic parts are still there --- just not the assembled whole
> home page.
> 
> I did find something I didn't recognize, located at the bottom of the
> remote ... /dev/ folder in a file called index.html:
> 
> <html>
> <head> <meta http-equiv="REFRESH" content="0; URL=home/index.html">
> </head>
> </html>
> 
> I'm guessing that that is sort of a rollover catcher if the logic
> doesn't otherwise present the home page.  But is there a chance it
> somehow directed something to physically copy an old version of  the
> home/index.html page onto the new home page?   That REFRESH directive is
> unique to the home page.  Nothing else had that reference, and nothing
> else seemed to disappear.
> 
> Could I have caused a problem when I added ../ after the URL= part of
> that file?  I was trying to fix the fact that the nav bars didn't all
> stay on the "dev" level, but some of them took us to the "live" level.
> When it didn't  fix the problem, I changed it back (maybe changed it
> back wrong?).
> 
> I've been careful not to do a "go public", in hopes that we can find
> your complete home page.
> 
>  - David
> 
> Andrew G. wrote:
>